Subject: RE: customers get "page cannot be displayed" when browsing secure ly

From: "Bray, Mike" <[email-masked]>
Date: Mon, 25 Mar 2002 10:22:03 -0000

Look at
 
KeepAliveTimeOut in httpd.conf
Also look at Timeout and SSLCacheSessionTimeout.
 
I think that an SSL session drops if KeepAliveTimeOut expires.
 
Regards
Mike

-----Original Message-----
From: Stephan Edelman [mailto:[email-masked]]
Sent: Monday, March 25, 2002 1:39 AM
To: [email-masked]
Subject: Re: customers get "page cannot be displayed" when browsing securely

Hello all,
 
This problem has just cropped up with an upgrade of Apache and mod_ssl.
 
When our customers are browsing our site securely and "pause" while filing
in information (into an order form, for example), the Apache server closes
the connection (presumably because it was a keepalive connection and it
timed out), but when the customer does a submit of the orderform, a "Page
cannot be displayed" message comes up.
 
Looking into this a bit closer, the web server is indeed closing the
connection, but the browser still thinks it's connected. When the user POSTs
the form, a TCP connection-reset is sent back, causing the browser to
display "Page cannot be displayed or DNS error" (in IE 6).
 
Incidently, when the user takes less time to fill in the order form (i.e.,
before Apache closes the connection) the order form can be submitted just
fine. 
 
This is what shows up in the ssl_engine_log file:
 
[24/Mar/2002 20:23:05 22913] [info]  Connection to child 7 closed with
standard shutdown (server secure.newace.ca:443, client 204.92.222.5)
 
We're running Apache/1.3.23 (Unix) PHP/3.0.18 mod_ssl/2.8.7 OpenSSL/0.9.6c,
on Kernel 2.4.17 SMP.
 
Is there a way to specify the timeout in Apache, or mod_ssl? Any
suggestions? Please reply to my email and this list.
 
Regards,
 
Stephan.
---
Stephan A. Edelman, B.Eng.
NewAce Corporation
http://www.newace.com <http://www.newace.com> 
Toll Free: 1-877-463-9223 x21
Tel: +1 519 336-4837 x21
Fax:+1 519 336-4046